[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: [libvirt] a compilation issue



On 12/08/2011 12:32 AM, Eric Blake wrote:
On 12/07/2011 09:23 AM, Alex Jia wrote:
Hi developers,
I met the following compilation issue when I 'git checkout v0.9.8-rc1' tag
then run './configure&&  make':
<snip>
Copying file ._bootmp/gnulib/lib/netinet_in.in.h
Copying file ._bootmp/gnulib/lib/nonblocking.c
Copying file ._bootmp/gnulib/lib/nonblocking.h
Copying file ._bootmp/gnulib/lib/open.c
.gnulib/gnulib-tool: line 1475: patch: command not found
.gnulib/gnulib-tool: *** patch file gnulib/local/lib/openpty.c.diff didn't apply cleanly
.gnulib/gnulib-tool: *** Stop.
Failed to bootstrap, please investigate.
make: *** [_autogen] Error 1
</snip>

Has any advice about this?
Oh my - that means gnulib-tool itself has a dependency on patch(1), but
only when there is a local gnulib diff.  I'll get that fixed upstream in
gnulib for inclusion post-0.9.8; but for now, the solution is for you to
'yum install patch'.

Eric, thanks for your solution :)
BTW, it's fine when I compiled latest GIT head.
Yep - commit 059d746d dropped a local gnulib diff, which drops the need
for patch.

Oh, I see, thanks.


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]